# abstract Vector<T>(AbstractVector<T>)

#### package openfl

#### from AbstractVector<T>

Available on all platforms

### Constructor

###

`new (?length:Int, ?fixed:Bool, ?array:Array<T>)`

### Variables

###

`fixed:Bool`

###

`length:Int`

### Methods

###

`inline concat (?a:Vector<T>):Vector<T>`

###

`inline copy ():Vector<T>`

###

`inline get (index:Int):T`

###

`inline indexOf (x:T, from:Int = 0):Int`

###

`inline insertAt (index:Int, element:T):Void`

###

`inline iterator<T> ():Iterator<T>`

###

`inline join (sep:String = ","):String`

###

`inline lastIndexOf (x:T, from:Int = 0):Int`

###

`inline pop ():Null<T>`

###

`inline push (x:T):Int`

###

`inline removeAt (index:Int):T`

###

`inline reverse ():Vector<T>`

###

`inline set (index:Int, value:T):T`

###

`inline shift ():Null<T>`

###

`inline slice (?pos:Int, ?end:Int):Vector<T>`

###

`inline sort (f:T ‑> T ‑> Int):Void`

###

`inline splice (pos:Int, len:Int):Vector<T>`

###

`inline toString ():String`

###

`inline unshift (x:T):Void`

### Static methods

###

`staticinline convert<T, U> (v:AbstractVector<T>):AbstractVector<U>`

###

`staticinline ofArray<T> (a:Array<T>):Vector<T>`